

	DECLARE @Formatters TABLE 
	(
		[Description] [nvarchar](50) NOT NULL,
		[ClassName] [nvarchar](500) NOT NULL,
		[FormatterType] int null
	);

	INSERT @Formatters (  [Description], [ClassName], [FormatterType]) VALUES ( N'AffiliatedFormatter', N'ESI.EventUploader.Formatters.Affiliated.AffiliatedFormatter', 1)
	INSERT @Formatters (  [Description], [ClassName], [FormatterType]) VALUES ( N'HBAffiliatedFormatter', N'ESI.EventUploader.Formatters.Affiliated.HBAffiliatedFormatter', 2)


	MERGE INTO [dbo].Formatters AS TARGET
	USING @Formatters AS SOURCE
	ON TARGET.[ClassName] = SOURCE.[ClassName]
	WHEN MATCHED THEN    
	UPDATE SET 
		[Description] = SOURCE.[Description],
		[ClassName] = SOURCE.[ClassName], 
		[FormatterType] = SOURCE.[FormatterType] 
	WHEN NOT MATCHED BY TARGET THEN
		INSERT ([Description],[ClassName],[FormatterType])
		VALUES (SOURCE.[Description],source.[ClassName],source.[FormatterType])
	OUTPUT $ACTION, SOURCE.*;
	SET IDENTITY_INSERT dbo.Formatters OFF	

	